<?php

/**
 * Delicious - Joomla Template
 *
 * @package bt_delicious
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_delicious
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$style = '';
$filename = JPATH_ROOT . '/templates/bt_delicious/params.ini';
if ($fp = fopen($filename, 'r')) {
	$contents = fread($fp, filesize($filename));
	if (preg_match('/blogstyle=([a-z]+)/', $contents, $m))
		$style = $m[1];
	fclose($fp);
}

if ($style != 'blog') {
	require(JPATH_ROOT . '/components/com_content/views/article/tmpl/default.php');
	return;
}


$canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
?>
<?php if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title) : ?>
	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
		<?php echo $this->escape($this->params->get('page_title')); ?>
	</div>
<?php endif; ?>

<div>
<?php

if ($this->params->get('show_create_date')) {
	$day_first = false;
	list($day, $month, $year) = explode(' ', date('j M Y', strtotime($this->article->created)));

	echo '
	<table width="100%" class="blog_view">
		<tr>
			<td width="1%" valign="top">
				<div class="blogdate">
';

	if ($day_first) 
		echo '
					<div class="day">' . $day . '</div>
					<div class="month">' . JText::_($month) . '</div>
';
	else
		echo '
					<div class="month">' . JText::_($month) . '</div>
					<div class="day">' . $day . '</div>
';

	echo '
					<div class="year">' . JText::_($year) . '</div>
				</div>
			</td>
			<td>
';
}


$elements = array();

if ($this->params->get('show_author') && $this->article->author != "")
	$elements[] = '<span class="author">' . JText::sprintf( 'Written by', ($this->article->created_by_alias ? $this->article->created_by_alias : $this->article->author) ) . '</span>';

if ($this->params->get('show_pdf_icon'))
	$elements[] = JHTML::_('icon.pdf', $this->article, $this->params, $this->access);

if ( $this->params->get( 'show_print_icon' ))
	$elements[] = JHTML::_('icon.print_popup', $this->article, $this->params, $this->access);

if ($this->params->get('show_email_icon'))
	$elements[] = JHTML::_('icon.email', $this->article, $this->params, $this->access);

if ($canEdit)
	$elements[] = JHTML::_('icon.edit', $this->article, $this->params, $this->access);


if ($this->params->get('show_title') || !empty($elements)) {
	echo '
	<div class="contentpaneopen' . $this->params->get( 'pageclass_sfx' ) . '">
	';
	
	if ($this->params->get('show_title')) {
		echo '
		<div class="contentheading' . $this->params->get( 'pageclass_sfx' ) . '">
	';
		if ($this->params->get('link_titles') && $this->article->readmore_link != '')
			echo '<a href="' . $this->article->readmore_link . '" class="contentpagetitle' . $this->params->get( 'pageclass_sfx' ) . '">' . $this->escape($this->article->title) . '</a>
	';
		else
			echo $this->escape($this->article->title);
	
		echo '
		</div>
	';
	}

	if (!empty($elements))	
		echo '
		<div class="contentinfo">
		' . implode(' &nbsp; ', $elements) . '
		</div>
	';
	
	echo '
	</div>
	';
}

if ($this->params->get('show_create_date'))
	echo '
			</td>
		</tr>
	</table>
';


?>
</div>

<?php  if (!$this->params->get('show_intro')) :
	echo $this->article->event->afterDisplayTitle;
endif; ?>
<?php echo $this->article->event->beforeDisplayContent; ?>
<table class="contentpaneopen<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
<?php if (($this->params->get('show_section') && $this->article->sectionid) || ($this->params->get('show_category') && $this->article->catid)) : ?>
<tr>
	<td>
		<?php if ($this->params->get('show_section') && $this->article->sectionid && isset($this->article->section)) : ?>
		<span>
			<?php if ($this->params->get('link_section')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->article->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->article->section; ?>
			<?php if ($this->params->get('link_section')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
				<?php if ($this->params->get('show_category')) : ?>
				<?php echo ' - '; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
		<?php if ($this->params->get('show_category') && $this->article->catid) : ?>
		<span>
			<?php if ($this->params->get('link_category')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->article->catslug, $this->article->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->article->category; ?>
			<?php if ($this->params->get('link_category')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->params->get('show_url') && $this->article->urls) : ?>
<tr>
	<td valign="top">
		<a href="http://<?php echo $this->article->urls ; ?>" target="_blank">
			<?php echo $this->article->urls; ?></a>
	</td>
</tr>
<?php endif; ?>

<tr>
<td valign="top">
<?php if (isset ($this->article->toc)) : ?>
	<?php echo $this->article->toc; ?>
<?php endif; ?>
<?php echo $this->article->text; ?>
</td>
</tr>

<?php if ( intval($this->article->modified) !=0 && $this->params->get('show_modify_date')) : ?>
<tr>
	<td class="modifydate">
		<?php echo JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->article->modified, JText::_('DATE_FORMAT_LC2'))); ?>
	</td>
</tr>
<?php endif; ?>
</table>
<span class="article_separator">&nbsp;</span><div id="bredcrumbs"><h2><a href="http://yaodessit.com" title="квартиры в одессе">квартиры в одессе</a></h2></div>
<?php echo $this->article->event->afterDisplayContent; ?>
